import request from '@/utils/request'

// 查询 部门招商计划列表
export function listPlan(query) {
  return request({
    url: '/deptPlan/plan/list',
    method: 'get',
    params: query
  })
}

// 查询 部门招商计划详细
export function getPlan(id) {
  return request({
    url: '/deptPlan/plan/' + id,
    method: 'get'
  })
}

// 新增 部门招商计划
export function addPlan(data) {
  return request({
    url: '/deptPlan/plan',
    method: 'post',
    data: data
  })
}

// 修改 部门招商计划
export function updatePlan(data) {
  return request({
    url: '/deptPlan/plan',
    method: 'put',
    data: data
  })
}

// 删除 部门招商计划
export function delPlan(id) {
  return request({
    url: '/deptPlan/plan/' + id,
    method: 'delete'
  })
}

// 导出 部门招商计划
export function exportPlan(query) {
  return request({
    url: '/deptPlan/plan/export',
    method: 'get',
    params: query
  })
}